Subject: [bug#36390] [PATCH 0/3] Improve 'guix search' relevance and display

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 26 Jun 2019 11:57:05 +0200

Ludovic Courtès <[email-masked]> writes:

> This improves ‘guix search’ in two ways:
>
>   1. The relevance score now excludes things that do not match *all*
>      the regexps.  So ‘guix search go game’ returns 28 results instead
>      of 1,245 and the first one is ‘gnugo’; ‘guix search ssh client’
>      returns 14 results instead of 510; ‘guix search guile crypto’
>      returns just ‘guile-gcrypt’ instead of 279 results.
>
>   2. ‘guix search’ and ‘guix system search’ now write at most a full
>      screen of results.  You can pipe through a pager to view all the
>      results.

Perfect, thank you for the patches!

(I wonder why you chose to use “(cut > <> 0)” instead of “positive?” for
checking if a value is greater than zero.)

--
Ricardo